org.eclipse.microprofile.openapi.apps.airlines.model

## Class Flight

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.model.Flight

    public class Flight
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Flight(Airline airline, String dateTime, String number, String status, String airportFrom, String airportTo, String price)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Airline` `getAirline()`
`String` `getAirportFrom()`
`String` `getAirportTo()`
`String` `getDateTime()`
`String` `getNumber()`
`String` `getPrice()`
`String` `getStatus()`
`void` `setAirline(Airline airline)`
`void` `setAirportFrom(String airportFrom)`
`void` `setAirportTo(String airportTo)`
`void` `setDateTime(String dateTime)`
`void` `setNumber(String number)`
`void` `setPrice(String price)`
`void` `setStatus(String status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Flight

    public Flight(Airline airline,
                  String dateTime,
                  String number,
                  String status,
                  String airportFrom,
                  String airportTo,
                  String price)

### Method Detail

#### getAirportFrom

    public String getAirportFrom()

#### setAirportFrom

    public void setAirportFrom(String airportFrom)

#### getAirportTo

    public String getAirportTo()

#### setAirportTo

    public void setAirportTo(String airportTo)

#### getPrice

    public String getPrice()

#### setPrice

    public void setPrice(String price)

#### getAirline

    public Airline getAirline()

#### setAirline

    public void setAirline(Airline airline)

#### getDateTime

    public String getDateTime()

#### setDateTime

    public void setDateTime(String dateTime)

#### getStatus

    public String getStatus()

#### setStatus

    public void setStatus(String status)

#### getNumber

    public String getNumber()

#### setNumber

    public void setNumber(String number)